Bug 983963 - Cannot build project with rule template
Cannot build project with rule template
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER5
: 6.0.0
Assigned To: manstis
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 07:55 EDT by Jiri Locker
Modified: 2014-08-06 16:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error screenshot (32.49 KB, image/png)
2013-10-16 09:52 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2013-07-12 07:55:56 EDT
Description of problem:
Switching to rule template Source tab results with an error message:

Unable to complete your request. The following exception occurred: value rule "template_@{row.rowNumber}" is not a valid column definition.

Version-Release number of selected component (if applicable):
DR6

How reproducible:
always

Steps to Reproduce:
1. create new Guided Rule Template
2. switch to Source tab

Actual results:
Error message.

Expected results:
Generated source should be displayed.

Additional info:
Comment 1 Jiri Locker 2013-08-26 11:01:56 EDT
The described error (value rule "template_@{row.rowNumber}" is not a valid column definition) also prevents from building the project, thus increasing bug severity.

Rule Template validation also fails but without any GUI feedback, only logging the exception on server.
Comment 3 Jiri Locker 2013-09-27 13:04:12 EDT
Fixed in ER3.
Comment 7 Jiri Locker 2013-10-16 09:51:37 EDT
The issue recurred in ER4 with different error message.
Comment 8 Jiri Locker 2013-10-16 09:52:42 EDT
Created attachment 812937 [details]
Error screenshot

java.lang.InstantiationException: org.drools.workbench.models.guided.template.backend.GuidedRuleTemplateConverter

Note You need to log in before you can comment on or make changes to this bug.